Update Business Type
API operation: Open the endpoint in Scalar
Use POST /business_types/{business_type_id} to update a business type. The current public operation is BusinessType.update.
This operation requires administrator authentication. Mutable fields include name, description, enabled, and image; validation and image handling depend on the submitted fields.
OpenAPI reference
Operation: POST /business_types/{business_type_id}
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
business_type_id | integer | Yes | — |
Request body fields
| Name | Type | Required |
|---|---|---|
description | any | No |
enabled | boolean | No |
image | any | No |
name | any | No |
Responses
| Code | Description |
|---|---|
| 200 | OK (Envelope) |
| 400 | Bad Request (ErrorResponse) |
| 401 | Unauthorized |
| 404 | Not Found |
| 429 | Too Many Requests (ErrorResponse) |
| 500 | Internal Server Error (ErrorResponse) |
| 503 | Service Unavailable (ErrorResponse) |